Skip to main content
GET
/
api
/
v1
/
allmodelchat
/
conversations
/
{conversation_id}
Get Conversation
curl --request GET \
  --url https://api.example.com/api/v1/allmodelchat/conversations/{conversation_id} \
  --header 'Authorization: Bearer <token>'
{
  "conversation": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "title": "<string>",
    "model_id": "<string>",
    "style_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "folder": "<string>",
    "is_pinned": true,
    "status": "<string>",
    "message_count": 123,
    "total_cost_credits": 123,
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z"
  },
  "messages": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "conversation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "role": "<string>",
      "content": "<string>",
      "model_id": "<string>",
      "provider": "<string>",
      "cost_credits": 123,
      "token_usage": {},
      "latency_ms": 123,
      "created_at": "2023-11-07T05:31:56Z"
    }
  ],
  "style": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "system_prompt": "<string>",
    "output_format": "<string>",
    "language": "<string>",
    "is_default": true,
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.aitasker.co/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

conversation_id
string<uuid>
required

Response

Successful Response

Conversation with recent messages.

conversation
AmcConversationResponse · object
required
messages
AmcMessageResponse · object[]
required
style
AmcStyleResponse · object